register_datafile_object(3)

NAME
register_datafile_object - Registers load/destroy functions for custom object types. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

void register_datafile_object(int id, void *(*load)(PACKFILE *f, long size), void (*destroy)(void *data));

DESCRIPTION
Used to add custom object types, specifying functions to load and destroy objects of this type.

SEE ALSO
load_datafile(3), load_datafile_object(3), DAT_ID(3)